Bug 210322 - Review Request: perl-File-MimeInfo - Determine file type
Review Request: perl-File-MimeInfo - Determine file type
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 210320 210323
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-11 11:34 EDT by Patrice Dumas
Modified: 2014-05-18 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-17 17:32:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-10-11 11:34:08 EDT
Spec URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/perl-File-MimeInfo.spec
SRPM URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/perl-File-MimeInfo-0.13-1.src.rpm
Description: 
This module can be used to determine the mime type of a file. It tries to
implement the freedesktop specification for a shared MIME database.
Comment 1 Patrice Dumas 2006-10-12 03:24:20 EDT
Added a patch blessed by upstream to add a new option which 
is important for my long-term goals...

- add an option to launch mimeopen non interactively

http://www.environnement.ens.fr/perso/dumas/fc-srpms/perl-File-MimeInfo-0.13-2.src.rpm
Comment 2 Jason Tibbitts 2006-10-14 16:51:54 EDT
I have placed the two build dependencies in a local repo in order to build this.

* source files match upstream:
   f87b07e1608f4380bb3f53154ac671bb  File-MimeInfo-0.13.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(File::MimeInfo) = 0.13
   perl(File::MimeInfo::Applications) = 0.02
   perl(File::MimeInfo::Magic) = 0.12
   perl(File::MimeInfo::Rox) = 0.2
   perl-File-MimeInfo = 0.13-1.fc6
  =
   /usr/bin/perl
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(Exporter)
   perl(Fcntl)
   perl(File::BaseDir)
   perl(File::DesktopEntry)
   perl(File::MimeInfo)
   perl(File::Spec)
   perl(strict)
* %check is present and all tests pass:
   All tests successful.
   Files=5, Tests=58,  0 wallclock secs ( 0.18 cusr +  0.08 csys =  0.26 CPU)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 3 Patrice Dumas 2006-10-17 17:32:47 EDT
And thanks for that one.
Comment 4 Paul Howarth 2014-05-02 10:55:22 EDT
Package Change Request
======================
Package Name: perl-File-MimeInfo
New Branches: el6
Owners: pghmcfc ktdreyer
InitialCC: perl-sig

I (pghmcfc) am already the owner of this package in EPEL-7.
Comment 5 Gwyn Ciesla 2014-05-02 11:05:33 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2014-05-02 11:51:46 EDT
perl-File-MimeInfo-0.25-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-File-MimeInfo-0.25-1.el6
Comment 7 Fedora Update System 2014-05-18 12:59:29 EDT
perl-File-MimeInfo-0.25-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.